package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.ethnicActivities.EthnicActivitiesAddRequest;
import com.ruoyi.web.domain.dto.ethnicActivities.EthnicActivitiesEditRequest;
import com.ruoyi.web.domain.dto.ethnicActivities.EthnicActivitiesQueryRequest;
import com.ruoyi.web.domain.entity.EthnicActivities;
import com.ruoyi.web.domain.vo.EthnicActivitiesVO;


/**
 *
 */
public interface EthnicActivitiesService extends IService<EthnicActivities> {
    Integer addEthnicActivities(EthnicActivitiesAddRequest ethnicActivitiesAddRequest);

    boolean deleteEthnicActivities(String ids);

    void editEthnicActivities(EthnicActivitiesEditRequest ethnicActivitiesEditRequest);

    boolean completeEthnicActivities(int id);

    EthnicActivitiesVO getEthnicActivitiesVO(EthnicActivities ethnicActivities);

    EthnicActivitiesVO getEthnicActivitiesById(int id);

    Page<EthnicActivitiesVO> getListEthnicActivitiesByPage(EthnicActivitiesQueryRequest ethnicActivitiesQueryRequest);

}
